#!/usr/bin/env python

import json
from os.path import dirname, realpath, join
import sys

GLOBALS_FILENAME= join(dirname(realpath(__file__)), "globals.json")

def get_globals(filename=GLOBALS_FILENAME):
    with open(filename) as f:
        return json.load(f)

def usage():
    print("USAGE: <script.py> (versions|languages) <platform>")

if __name__ == '__main__':
    args = sys.argv
    if len(args) != 3:
        usage()
        sys.exit(42)
    action = args[1]
    platform = args[2]
    g = get_globals()
    if platform not in g:
        print("Platform not found: %s" % platform)
        sys.exit(42)
    if action == "versions":
        print(g[platform]['default'])
        sys.exit(0)
    if action == "languages":
        for l in g[platform]['langs']:
            print(l)
        sys.exit(0)
    print("Action unrecognized")
    usage()
    sys.exit(42)

